# pandas.plotting.scatter_matrix

pandas.plotting.scatter_matrix(frame, alpha=0.5, figsize=None, ax=None, grid=False, diagonal='hist', marker='.', density_kwds=None, hist_kwds=None, range_padding=0.05, **kwargs)

  Draw a matrix of scatter plots.

  Parameters
    frame DataFrame
    alpha float, optional

      Amount of transparency applied.

    figsize(float,float), optional

      A tuple (width, height) in inches.

    ax Matplotlib axis object, optional
    grid bool, optional

      Setting this to True will show the grid.

    diagonal{‘hist’, ‘kde’}

      Pick between ‘kde’ and ‘hist’ for either Kernel Density Estimation or Histogram plot in the diagonal.

    marker str, optional

      Matplotlib marker type, default ‘.’.

    density_kwds keywords

      Keyword arguments to be passed to kernel density estimate plot.

    hist_kwds keywords

      Keyword arguments to be passed to hist function.

    range_padding float, default 0.05

      Relative extension of axis range in x and y with respect to (x_max - x_min) or (y_max - y_min).

    **kwargs

      Keyword arguments to be passed to scatter function.

  Returns
    numpy.ndarray

      A matrix of scatter plots.

  Examples

      >>> df = pd.DataFrame(np.random.randn(1000, 4), columns=['A','B','C','D'])
      >>> pd.plotting.scatter_matrix(df, alpha=0.2)